import React from 'react'
import styles from './tooltip.module.css'

export default function Tooltip({ children, text, opened }) {
  return (
    <div className={styles.tooltip}>
      {text()}
      {opened && <span className={styles.tooltiptext}>{children}</span>}
    </div>
  )
}
